Subject: Re: sparcpr�

From: Frank Thomas <[email-masked]>
Date: Mon, 18 Sep 95 22:42:53 EST

> Anyway the
>generic apple chooser (system 7.5) doesn't seem to want to print to the
>sparcprinter.  

I have found that the "LaserWriter GX" chooser device doesn't seem to work with 
netatalk.  The chooser device that I got to work is called "Laserwriter 8".  
Both of these were in my system 7.5 system folder (extensions?) but in the 
chooser I could only see the GX thing.  I had to use the install cdrom and 
uninstall the GX stuff.  Only then did I see the other chooser device.

>I don't really get any errors except about a missing ppd
>file.  

This sounds much like the problem I was having.  If you still don't have it 
working skip the ppd and try this.  Check the man page for the print and nfs 
daemon from netatak (papd and afpd) for a command line option that tells where 
to find the startup files (papd.conf and AppleVolumes.default) are located. 

Ignore the part of the man page that says these are optional command line 
parameters and that the daemon will go to a default location to get these files.  
Instead put the parameters on the command line when you start the daemon, even 
if you put the default paths there.  I could neither print to a unix host nor 
mount unix volumes without these (optional) command line parameters, but 
everything worked fine after I added them.

>Anyone know
>where I can find a ppd file for a sparc printer

Again I don't think that this is the problem.  I posted a request for a 
sparcprinter ppd to usenet (was it comp.???.appletalk?) and most people who 
responded said they had no problems using the generic ppd that the mac supplied 
(after you select the unix printer in the chooser you punch up something like 
"configure printer" and from there you can select a ppd -- use generic).  One 
person did supply a ppd.  I have tacked on his note below. 

<<<<<<<<<<<<<<<<<<<<<<<<<<begin included message>>>>>>>>>>>>>>>>>>>>>>>>>
Date: Wed, 16 Aug 1995 08:25:34 -0700
From: [email-masked] (Scott Seebass)
To: [email-masked]
Subject: SPARC printer PPD.

Here is the one I made up.  It is not perfect, but it least
it is a starting point.  You can change the "Version" to reflect
the version number of the Postcript RIP in your copy
of Newsprint (though it probably
does not matter).  If you have more thatn the standard fonts, you
you can build the fonts list with a find script in the NewsPrint font
directory...
	Scott Seebass
	Xinet
*% Short PPD file for SparcPrinter, hacked by  Xinet
*FormatVersion: "4.0b3"
*FileVersion: "3.0"
*PCFileName: "PRINTER.PPD"
*LanguageVersion: English
*Product: "(SPARCprinter)"
*ModelName: "(SPARCprinter)"
*NickName: "(SPARCprinter)"
*Version: "(0.0) 0"
*LanguageLevel: 1
*Font AvantGarde-Book:
*Font AvantGarde-BookOblique:
*Font AvantGarde-Demi:
*Font AvantGarde-DemiOblique:
*Font Bembo:
*Font Bembo-Bold:
*Font Bembo-BoldItalic:
*Font Bembo-Italic:
*Font Bookman-Demi:
*Font Bookman-DemiItalic:
*Font Bookman-Light:
*Font Bookman-LightItalic:
*Font Courier:
*Font Courier-Bold:
*Font Courier-BoldOblique:
*Font Courier-Oblique:
*Font GillSans:
*Font GillSans-Bold:
*Font GillSans-BoldItalic:
*Font GillSans-Italic:
*Font Helvetica:
*Font Helvetica-Bold:
*Font Helvetica-BoldOblique:
*Font Helvetica-Narrow:
*Font Helvetica-Narrow-Bold:
*Font Helvetica-Narrow-BoldOblique:
*Font Helvetica-Narrow-Oblique:
*Font Helvetica-Oblique:
*Font Lucida-BrightDemiBoldItalic:
*Font LucidaBright:
*Font LucidaBright-Demi:
*Font LucidaBright-Italic:
*Font LucidaSans:
*Font LucidaSans-Bold:
*Font LucidaSans-BoldItalic:
*Font LucidaSans-Italic:
*Font LucidaSans-Typewriter:
*Font LucidaSans-TypewriterBold:
*Font NewCenturySchlbk-Bold:
*Font NewCenturySchlbk-BoldItalic:
*Font NewCenturySchlbk-Italic:
*Font NewCenturySchlbk-Roman:
*Font Palatino-Bold:
*Font Palatino-BoldItalic:
*Font Palatino-Italic:
*Font Palatino-Roman:
*Font Rockwell:
*Font Rockwell-Bold:
*Font Rockwell-BoldItalic:
*Font Rockwell-Italic:
*Font Symbol:
*Font Times-Bold:
*Font Times-BoldItalic:
*Font Times-Italic:
*Font Times-Roman:
*Font ZapfChancery-MediumItalic:
*Font ZapfDingbats:
<<<<<<<<<<<<<<<<<<<<<<<<<end included message>>>>>>>>>>>>>>>>>>>>>>>>>>

________________________________________________________________________
Frank Thomas               1333 Gateway Drive #1017   voice: 407-728-9678
email: [email-masked]    Melbourne, FL  32901         fax: 407-728-9587